#include <iostream>
#include <gtkmm-3.0/gtkmm.h>
#include "myWindow.h"

void LoadWidgets(GtkBuilder *builder, app_widgets *widgets)
{
     // Get pointers to widgets here
    widgets->w_btn_zoom_in = GTK_WIDGET(gtk_builder_get_object(builder, "btn_zoom_in"));// zoom controls
    widgets->w_btn_zoom_out = GTK_WIDGET(gtk_builder_get_object(builder, "btn_zoom_out"));
    widgets->w_btn_zoom_stop = GTK_WIDGET(gtk_builder_get_object(builder, "btn_zoom_stop"));

    widgets->w_btn_focus_stop = GTK_WIDGET(gtk_builder_get_object(builder, "btn_focus_stop"));// zoom controls
    widgets->w_btn_focus_tele = GTK_WIDGET(gtk_builder_get_object(builder, "btn_focus_tele"));
    widgets->w_btn_focus_wide= GTK_WIDGET(gtk_builder_get_object(builder, "btn_focus_wide"));

    widgets->w_comboboxtxt_zoom_speed  = GTK_WIDGET(gtk_builder_get_object(builder, "comboboxtxt_zoom_speed"));
    widgets->w_comboboxtxt_zoom_mode  = GTK_WIDGET(gtk_builder_get_object(builder, "comboboxtxt_zoom_mode"));
    widgets->w_comboboxtxt_focus_speed  = GTK_WIDGET(gtk_builder_get_object(builder, "comboboxtxt_focus_speed"));
    widgets->w_comboboxtxt_focus_mode = GTK_WIDGET(gtk_builder_get_object(builder, "comboboxtxt_focus_mode"));
    widgets->w_comboboxtxt_awb_mode = GTK_WIDGET(gtk_builder_get_object(builder, "comboboxtxt_awb_mode"));
    widgets->w_comboboxtxt_shutter_mode = GTK_WIDGET(gtk_builder_get_object(builder, "comboboxtxt_shutter_mode"));
    widgets->w_comboboxtxt_is_level = GTK_WIDGET(gtk_builder_get_object(builder, "comboboxtxt_is_level"));
    widgets->w_comboboxtxt_is_filter = GTK_WIDGET(gtk_builder_get_object(builder, "comboboxtxt_is_filter"));
    widgets->w_comboboxtxt_aperature_gain = GTK_WIDGET(gtk_builder_get_object(builder, "comboboxtxt_aperature_gain"));
    widgets->w_comboboxtxt_video_mode = GTK_WIDGET(gtk_builder_get_object(builder, "comboboxtxt_video_mode"));
    widgets->w_scrb_zoom_pos = GTK_WIDGET(gtk_builder_get_object(builder, "scrb_zoom_pos"));
    widgets->w_scrb_man_red_gain = GTK_WIDGET(gtk_builder_get_object(builder, "scrb_man_red_gain"));
    widgets->w_scrb_man_blue_gain = GTK_WIDGET(gtk_builder_get_object(builder, "scrb_man_blue_gain"));
    widgets->w_lbl_zoom_pos_value = GTK_WIDGET(gtk_builder_get_object(builder, "lbl_zoom_pos_value"));
    widgets->w_lbl_man_red_gain = GTK_WIDGET(gtk_builder_get_object(builder, "lbl_man_red_gain"));
    widgets->w_lbl_man_blue_gain = GTK_WIDGET(gtk_builder_get_object(builder, "lbl_man_blue_gain"));
    widgets->w_lbl_man_gain = GTK_WIDGET(gtk_builder_get_object(builder, "lbl_man_gain"));
    widgets->w_lbl_man_iris = GTK_WIDGET(gtk_builder_get_object(builder, "lbl_man_iris"));
    widgets->w_lbl_wdr_mode = GTK_WIDGET(gtk_builder_get_object(builder, "lbl_wdr_mode"));
    widgets->w_lbl_dnr_mode = GTK_WIDGET(gtk_builder_get_object(builder, "lbl_dnr_mode"));

    widgets->w_btn_start_viewer = GTK_WIDGET(gtk_builder_get_object(builder, "btn_start_viewer"));// zoom controls
    widgets->w_btn_stop_viewer = GTK_WIDGET(gtk_builder_get_object(builder, "btn_stop_viewer"));
    widgets->w_btn_snapshot = GTK_WIDGET(gtk_builder_get_object(builder, "btn_snapshot"));
   // widgets->w_w_btn_zoom_out  = GTK_WIDGET(gtk_builder_get_object(builder, "x"));
     // Widgets pointer are passed to all widget handler functions as the user_data parameter
}
