

#include <gtkmm.h>
#include <iostream>

// Custom structure that holds pointers to widgets and user variables
typedef struct {
    // Add pointers to widgets below
    GtkWidget *w_btn_zoom_in;                               // zoom controls
    GtkWidget *w_btn_zoom_out;
    GtkWidget *w_btn_zoom_stop;
    GtkWidget *w_comboboxtxt_zoom_speed;
    GtkWidget *w_comboboxtxt_zoom_mode;
    GtkWidget *w_scrb_zoom_pos;
    GtkWidget *w_lbl_zoom_pos_value;

    GtkWidget *w_btn_focus_tele;                        // focus controls
    GtkWidget *w_btn_focus_wide;
    GtkWidget *w_btn_focus_stop;
    GtkWidget *w_comboboxtxt_focus_speed;
    GtkWidget *w_comboboxtxt_focus_mode;

    GtkWidget *w_btn_wb_p2s;                            // white balance control
    GtkWidget *w_comboboxtxt_awb_mode;
    GtkWidget *w_lbl_man_red_gain;
    GtkWidget *w_scrb_man_red_gain;
    GtkWidget *w_lbl_man_blue_gain;
                                                                                                                                                                                                           GtkWidget *w_scrb_man_blue_gain;

   GtkWidget *w_chbtn_man_gain;                                     // AEX control
   GtkWidget *w_lbl_man_gain;
   GtkWidget *w_scrb_man_gain;
   GtkWidget *w_comboboxtxt_shutter_mode;


   GtkWidget *w_chbtn_man_iris;                                     // manual Iris control
   GtkWidget *w_lbl_man_iris;
   GtkWidget *w_scrb_man_iris;

   GtkWidget *w_chbtn_wdr_mode;
   GtkWidget *w_lbl_wdr_mode;
   GtkWidget *w_scrb_wdr_level;
   GtkWidget *w_chbtn_dnr_mode;
   GtkWidget *w_lbl_dnr_mode;
   GtkWidget *w_scrb_dnr_level;

   GtkWidget *w_comboboxtxt_is_level;
   GtkWidget *w_comboboxtxt_is_filter;

   GtkWidget *w_comboboxtxt_aperature_gain;
   GtkWidget *w_chbtn_mirror_mode;
   GtkWidget *w_chbtn_flip_mode;
   GtkWidget *w_chbtn_freeze;
   GtkWidget *w_chbtn_image_stabilizer_on;
   GtkWidget *w_comboboxtxt_video_mode;

   GtkWidget *w_btn_start_viewer;
   GtkWidget *w_btn_stop_viewer;
   GtkWidget *w_btn_snapshot;

} app_widgets;

//void LoadWidgets(GtkBuilder*builder, app_widgets *widgets);
