
#include <iostream>
#include <opencv2/opencv.hpp>
#include <opencv2/highgui.hpp>

#include "video.h"

using namespace cv;
using namespace std;


int CVid::videoFunction(void)
{
int h, w;
int row, colomn;
Mat frame;
Mat snapImage;
VideoCapture cap(0);
if(!cap.isOpened())
    {
    cerr << " Error ! camera could not be opened\n";
    cout << " check if the camera is connected to the Raspberry Pi board" << endl;
    cap.release();
    return -1;
    }
/*w = cap.get(CAP_PROP_FRAME_WIDTH);
h = cap.get(CAP_PROP_FRAME_HEIGHT);
cap.set(CAP_PROP_FRAME_WIDTH, 1919);
cap.set(CAP_PROP_FRAME_HEIGHT, 1079);

w = cap.get(CAP_PROP_FRAME_WIDTH);
h = cap.get(CAP_PROP_FRAME_HEIGHT);*/

//cout << "Start grabbing the video" << endl
//     << "Press ESC key to terminate the software"<< endl;
//namedWindow("Trebax Vision Engineering: Image viewer",WINDOW_AUTOSIZE);
while(imageViewerActive)
    {
    cap >> frame;
    if(frame.empty()){
        cerr << "ERROR! blank frame grabbed \n";
        break;
        }
    imshow("Trebax Vision Engineering: Image viewer", frame);
    if(waitKey(5) == 27) break;
    }

 cap.release();
 destroyWindow("Trebax Vision Engineering: Image viewer");
 imageViewerActive = 0;
 return 0;
}
